<?php
######################################################################################################
# Download Version 3.1 - [08/04/2024]                                                                #
# Module pour AdHoc CMS   Développé par JeanDenis                                                    #
# Site Web : https://adhoc.71site.fr/                                                                #
# Script "Pages accordéon" https://tympanus.net/codrops/2012/02/21/accordion-with-css3/ par Mary-Lou #
# Script "compteur" est issu de ce site https://sdz.tdct.org/sdz/compteur-de-telechargements.html    #
# D'après modules réalisés par Penanders https://www.cmsadhoc.net/                                   #
# Licence : GNU-GPL V3                                                                               #
######################################################################################################

empty($_POST['save']) ? $save = "" : $save = decode_gpc($_POST['save']);
	$cfg_download = ReadCSVPairs(PATH_DAT."download/config".DBEXT);
	include (PATH."modules/download/lang/".USER_LANG."_txt_admin".INCEXT);

if ($save) {
	$cfg_download['numcat0'] = $_POST['numcat0'];
	$cfg_download['numcat1'] = $_POST['numcat1'];
	$cfg_download['numcat2'] = $_POST['numcat2'];
	$cfg_download['numcat3'] = $_POST['numcat3'];
	$cfg_download['numcat4'] = $_POST['numcat4'];
	$cfg_download['numcat5'] = $_POST['numcat5'];
	$cfg_download['numcat6'] = $_POST['numcat6'];
	$cfg_download['numcat7'] = $_POST['numcat7'];
	$cfg_download['numcat8'] = $_POST['numcat8'];
	$cfg_download['numcat9'] = $_POST['numcat9'];
	$cfg_download['nomcategoriecourt0'] = $_POST['nomcategoriecourt0'];
	$cfg_download['nomcategoriecourt1'] = $_POST['nomcategoriecourt1'];
	$cfg_download['nomcategoriecourt2'] = $_POST['nomcategoriecourt2'];
	$cfg_download['nomcategoriecourt3'] = $_POST['nomcategoriecourt3'];
	$cfg_download['nomcategoriecourt4'] = $_POST['nomcategoriecourt4'];
	$cfg_download['nomcategoriecourt5'] = $_POST['nomcategoriecourt5'];
	$cfg_download['nomcategoriecourt6'] = $_POST['nomcategoriecourt6'];
	$cfg_download['nomcategoriecourt7'] = $_POST['nomcategoriecourt7'];
	$cfg_download['nomcategoriecourt8'] = $_POST['nomcategoriecourt8'];
	$cfg_download['nomcategoriecourt9'] = $_POST['nomcategoriecourt9'];
	$cfg_download['connex'] = $_POST['connex'];
	$cfg_download['typeaccordeon'] = $_POST['typeaccordeon'];
	$cfg_download['tousouverts'] = $_POST['tousouverts'];
	$cfg_download['categorieouverte'] = $_POST['categorieouverte'];
	$cfg_download['affdate'] = $_POST['affdate'];
	$cfg_download['coum'] = $_POST['coum'];
	$cfg_download['SouC'] = $_POST['SouC'];
	$meta_tit = empty($_POST['meta_tit']) ? array() : decode_gpc($_POST['meta_tit']);
	$meta_des = empty($_POST['meta_des']) ? array() : decode_gpc($_POST['meta_des']);
	$topmessage = empty($_POST['topmessage']) ? array() : decode_gpc($_POST['topmessage']);
	$info_prive = empty($_POST['info_prive']) ? array() : decode_gpc($_POST['info_prive']);
	$messagecrea = empty($_POST['messagecrea']) ? array() : decode_gpc($_POST['messagecrea']);
	$messagemodif = empty($_POST['messagemodif']) ? array() : decode_gpc($_POST['messagemodif']);
	foreach($meta_tit as $k=> $v) $cfg_download['meta_tit_'.$k] = htmlspecialchars($v, ENT_QUOTES);
	foreach($meta_des as $k=> $v) $cfg_download['meta_des_'.$k] = htmlspecialchars($v, ENT_QUOTES);
	foreach($topmessage as $k=> $v) $cfg_download['topmessage_'.$k] = htmlspecialchars($v, ENT_QUOTES);
	foreach($info_prive as $k=> $v) $cfg_download['info_prive_'.$k] = htmlspecialchars($v, ENT_QUOTES);
	foreach($messagecrea as $k=> $v) $cfg_download['messagecrea_'.$k] = htmlspecialchars($v, ENT_QUOTES);
	foreach($messagemodif as $k=> $v) $cfg_download['messagemodif_'.$k] = htmlspecialchars($v, ENT_QUOTES);

	WriteCSVPairs(PATH_DAT."download/config".DBEXT, $cfg_download);
}

// Variables
$msgTitle = $msg_pnl['module_title'];
$msgInfo = $msg_pnl['module_info'];
$breadcrumbs[] = array($msg_pnl['modules'], '?pg=modules');
$breadcrumbs[] = array('Download', '');
$idlg = USER_LANG;
$choix = array('oui', 'non');
$accordeon = array('checkbox', 'radio');
$typedate = array('S', 'C');
$creamoddate = array('crea', 'modif');

// Fonction
function nettoyagenom($nom) { // nettoyage éventuel d'un titre
if ($nom[0] == '"' && substr($nom, -1) == '"') //test présence de guillemets au début ET à la fin
{$nom = substr($nom, 1, -1);} // ... les supprime le cas échéant
return $nom;
}

// Elaboration contenu de la liste de toutes les catégories
$comptenbcategories = count(file(PATH.'data/pages/list_'.$idlg.'.dbt')); // nombre de catégories dans la liste
$contenucategories = fopen(PATH.'data/pages/list_'.$idlg.'.dbt', 'r' ); // ouverture fichier et contenu de cette liste
for ($i=0; $i < $comptenbcategories ; $i++) {
	$lignenouvelle = fgets($contenucategories);
	$elem = explode(";", $lignenouvelle);
		for ($j=0; $j < 6;$j++) {
		$chaquecategorie [$i][$j] = $elem[$j]; // création variables [catégorie][élément]
		}
}
fclose($contenucategories); // fermeture fichier

// Elaboration de la liste de toutes les catégories (Id et nom) avec éléments vides en tête
	$listecategorie [0][0] = '';
	$listecategorie [0][1] = '';
for ($i=0; $i < $comptenbcategories ; $i++) {
	$listecategorie [$i+1][0] = $chaquecategorie [$i][0];
	$listecategorie [$i+1][1] = $chaquecategorie [$i][3];
}

include("include/hpage.inc");
?>

<form name="config" id="edit" action="panel.php?pg=download" method="post">
<input type="hidden" name="save" value="1"/><br />

<div class="section"><!-- section info -->
	<div class="pnl w11">

<?php
echo '<p>'.$msg_pnl['info_longue'].'</p>';
?>

	</div>
</div><!-- fin section info -->

<div class="section"><!-- section connex -->
	<div class="pnl w11">

<?php
echo '<p>'.$msg_pnl['connex'].'</p>';
echo '<select class="w14" name="connex" class="field">';
for ($i=0;$i<count($choix);$i++) {
echo '<option value="'.$choix[$i].'"';
if ($choix[$i] == $cfg_download['connex']) echo ' selected';
echo '>'.$choix[$i].'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

	</div>
</div><!-- fin section connex -->


<div class="section"><!-- 1ère section -->
	<div class="pnl w11">

<?php
echo '<p><span class="w34">'.$msg_pnl['info_cat'].'</span><span class="w14">'.$msg_pnl['info_nomcourt'].'</span></p>';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w14">'.$msg_pnl['numcat0'].'</label>'; // catégorie 0
echo '<select class="w12" name="numcat0" class="field">';
for ($i=0;$i<$comptenbcategories;$i++) {
echo '<option value="'.$chaquecategorie [$i][0].'"';
if ($chaquecategorie [$i][0] == $cfg_download['numcat0']) echo ' selected';
echo '>'.$chaquecategorie [$i][0].' '.nettoyagenom($chaquecategorie [$i][3]).'</option>';
}
echo '</select>';
echo '<input class="w14" type="text" name="nomcategoriecourt0" value="'.$cfg_download['nomcategoriecourt0'].'">';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w14">'.$msg_pnl['numcat1'].'</label>'; // catégorie 1
echo '<select class="w12" name="numcat1" class="field">';
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_download['numcat1']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<input class="w14" type="text" name="nomcategoriecourt1" value="'.$cfg_download['nomcategoriecourt1'].'">';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w14">'.$msg_pnl['numcat2'].'</label>'; // catégorie 2
echo '<select class="w12" name="numcat2" class="field">';
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_download['numcat2']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<input class="w14" type="text" name="nomcategoriecourt2" value="'.$cfg_download['nomcategoriecourt2'].'">';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w14">'.$msg_pnl['numcat3'].'</label>'; // catégorie 3
echo '<select class="w12" name="numcat3" class="field">';
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_download['numcat3']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<input class="w14" type="text" name="nomcategoriecourt3" value="'.$cfg_download['nomcategoriecourt3'].'">';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w14">'.$msg_pnl['numcat4'].'</label>'; // catégorie 4
echo '<select class="w12" name="numcat4" class="field">';
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_download['numcat4']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<input class="w14" type="text" name="nomcategoriecourt4" value="'.$cfg_download['nomcategoriecourt4'].'">';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w14">'.$msg_pnl['numcat5'].'</label>'; // catégorie 5
echo '<select class="w12" name="numcat5" class="field">';
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_download['numcat5']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<input class="w14" type="text" name="nomcategoriecourt5" value="'.$cfg_download['nomcategoriecourt5'].'">';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w14">'.$msg_pnl['numcat6'].'</label>'; // catégorie 6
echo '<select class="w12" name="numcat6" class="field">';
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_download['numcat6']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<input class="w14" type="text" name="nomcategoriecourt6" value="'.$cfg_download['nomcategoriecourt6'].'">';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w14">'.$msg_pnl['numcat7'].'</label>'; // catégorie 7
echo '<select class="w12" name="numcat7" class="field">';
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_download['numcat7']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<input class="w14" type="text" name="nomcategoriecourt7" value="'.$cfg_download['nomcategoriecourt7'].'">';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w14">'.$msg_pnl['numcat8'].'</label>'; // catégorie 8
echo '<select class="w12" name="numcat8" class="field">';
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_download['numcat8']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<input class="w14" type="text" name="nomcategoriecourt8" value="'.$cfg_download['nomcategoriecourt8'].'">';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w14">'.$msg_pnl['numcat9'].'</label>'; // catégorie 9
echo '<select class="w12" name="numcat9" class="field">';
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_download['numcat9']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<input class="w14" type="text" name="nomcategoriecourt9" value="'.$cfg_download['nomcategoriecourt9'].'">';
?>
<p style="clear:both"></p>

	</div>
</div><!-- fin 1ère section -->

<div class="section"><!-- 2ème section -->
	<div class="pnl w11">

<?php
echo '<label class="w34">'.$msg_pnl['typeaccordeon'].'</label>';
echo '<select class="w14" name="typeaccordeon" class="field">';
for ($i=0;$i<count($accordeon);$i++) {
echo '<option value="'.$accordeon[$i].'"';
if ($accordeon[$i] == $cfg_download['typeaccordeon']) echo ' selected';
echo '>'.$accordeon[$i].'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w34"> → → '.$msg_pnl['tousouverts'].'</label>';
echo '<select class="w14" name="tousouverts" class="field">';
for ($i=0;$i<count($choix);$i++) {
echo '<option value="'.$choix[$i].'"';
if ($choix[$i] == $cfg_download['tousouverts']) echo ' selected';
echo '>'.$choix[$i].'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w12" style="max-height:50px;">'.$msg_pnl['categorieouverte'].'</label>'; 
echo '<select class="w12" name="categorieouverte" class="field">';
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_download['categorieouverte']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

	</div>
</div><!-- fin 2ème section -->		
		

<div class="section"><!-- 3ème section -->
	<div class="pnl w11">

<?php
echo '<label class="w34">'.$msg_pnl['affdate'].'</label>';
echo '<select class="w14" name="affdate" class="field">';
for ($i=0;$i<count($choix);$i++) {
echo '<option value="'.$choix[$i].'"';
if ($choix[$i] == $cfg_download['affdate']) echo ' selected';
echo '>'.$choix[$i].'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w34"> → → '.$msg_pnl['coum'].'</label>';
echo '<select class="w14" name="coum" class="field">';
for ($i=0;$i<count($creamoddate);$i++) {
echo '<option value="'.$creamoddate[$i].'"';
if ($creamoddate[$i] == $cfg_download['coum']) echo ' selected';
echo '>'.$creamoddate[$i].'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w34"> → → '.$msg_pnl['SouC'].'</label>';
echo '<select class="w14" name="SouC" class="field">';
for ($i=0;$i<count($typedate);$i++) {
echo '<option value="'.$typedate[$i].'"';
if ($typedate[$i] == $cfg_download['SouC']) echo ' selected';
echo '>'.$typedate[$i].'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

	</div>
</div><!-- fin 3ème section -->

<?php
foreach ($langs as $l) {
	$flaglang = '<img src="'.PATH_LNK.'include/lang/'.$l.'/flag.png" style="width: 24px; height:16px;" alt="'.$langs[0].'" /> ';  
	echo '<div class="section"><!-- 4ème section '.$l.' -->
	<div class="pnl w11"><label class="w14">'.$flaglang.$msg_pnl['page_title'].'</label>
		'.'<input class="w34" type="text" name="meta_tit['.$l.']" value="'.$cfg_download['meta_tit_'.$l].'">
		<label class="w14">'.$msg_pnl['description'].'</label>
		<input class="w34" type="text" name="meta_des['.$l.']" value="'.$cfg_download['meta_des_'.$l].'">
		<label class="w14">'.$msg_pnl['info_prive'].'</label>
		<input class="w34" type="text" name="info_prive['.$l.']" value="'.$cfg_download['info_prive_'.$l].'">
		<label class="w12">'.$msg_pnl['topmessage'].'</label>
		<input class="w12" type="text" name="topmessage['.$l.']" value="'.$cfg_download['topmessage_'.$l].'">
		<label class="w12">'.$msg_pnl['messagecrea'].'</label>
		<input class="w12" type="text" name="messagecrea['.$l.']" value="'.$cfg_download['messagecrea_'.$l].'">
		<label class="w12">'.$msg_pnl['messagemodif'].'</label>
		<input class="w12" type="text" name="messagemodif['.$l.']" value="'.$cfg_download['messagemodif_'.$l].'">
	</div>
	</div><!-- fin 4ème section '.$l.' -->
	';
}
?>

</form>

<?php
$pnlfoot = '<div class="btn-group">
	<input type="submit" class="btn primary" value="'.$msg_pnl['save'].'" form="edit"><a href="panel.php?pg=download" class="btn secondary">'.$msg_pub['abort'].'</a>
</div>
';
include("modules/download/info".INCEXT);
?>

<p style="text-align:center"><img src="modules/download/download.png" alt="icon"/><br />
<b>Download</b> Version : <?php echo $infoModule['version'].' - '.FormatDate($infoModule['date']);?><br />
<a href="https://adhoc.71site.fr" target="_blank">JeanDenis [https://adhoc.71site.fr]</a>
</p>
<p><br><br></p>
